# List of all invoices

Using this endpoint, you can get list of all invoices with detailed info of each invoice (like in Invoice Detail endpoint) asynchronously. 


See how Asynchronous requests work on our developer's portal.


Response will be in jsonlines format with each invoice taking one line of output file.


One invoice in response has the same format as invoice detail response. See Invoice snapshot schema for more details.


Result file is compressed using GZIP.


This endpoint has several sections, which are only sent when requested in the include parameter (see Section on demand).


Value                 | Section
---                   | ---
surchargeParameters | Item surcharge parameters

Endpoint: GET /api/invoices/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `include` (string)
    Sections to include
    Example: "surchargeParameters"

  - `creationTimeFrom` (string)
    Export invoices created after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `creationTimeTo` (string)
    Export invoices created before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `changeTimeFrom` (string)
    Export invoices updated after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `changeTimeTo` (string)
    Export invoices updated before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `codeFrom` (string)
    Export invoices with code after given value
    Example: "0000000006"

  - `codeTo` (string)
    Export invoices with code before given value
    Example: "0000000006"

  - `proformaInvoiceCodeFrom` (string)
    Export invoices with proforma invoice code after given value
    Example: "2017000010"

  - `proformaInvoiceCodeTo` (string)
    Export invoices with proforma invoice code befor given value
    Example: "2017000010"

  - `dueDateFrom` (string)
    Export invoices with due date after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `dueDateTo` (string)
    Export invoices with due date before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `taxDateFrom` (string)
    Export invoices with tax date after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `taxDateTo` (string)
    Export invoices with tax date before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `orderCodeFrom` (string)
    Export invoices with order code after given value
    Example: "2017000010"

  - `orderCodeTo` (string)
    Export invoices with order code before given value
    Example: "2017000010"

  - `customerGuid` (string)
    Export invoices with given customer
    Example: "443cad54-73bc-11e8-8216-002590dad85e"

  - `varSymbol` (string)
    Export invoices with given variable symbol
    Example: "2010001"

  - `isValid` (boolean)
    Filtering according to document validity
    Example: true

  - `hasTaxId` (boolean)
    Filtering according to the presence of a TAX identification number
    Example: true

  - `hasVatId` (boolean)
    Filtering according to the presence of a VAT identification number
    Example: true

  - `hasCompanyId` (boolean)
    Filtering according to the presence of a company registration number
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job


